/**
 * @(#)MaileonNotFoundException.java
 */
package com.maileon.api;

import javax.ws.rs.core.Response.StatusType;

/**
 * The Class MaileonNotFoundException.
 *
 */
public class MaileonNotFoundException extends MaileonException {

    private static final long serialVersionUID = -2716645571382241113L;

    /**
     * Instantiates a new maileon not found exception.
     *
     * @param message the message
     */
    public MaileonNotFoundException(String message) {
        super(message);
    }

    /**
     * Instantiates a new maileon not found exception.
     *
     * @param status the status
     */
    public MaileonNotFoundException(StatusType status) {
        super(status);
    }

    /**
     * Instantiates a new maileon not found exception.
     *
     * @param status the status
     * @param message the message
     */
    public MaileonNotFoundException(StatusType status, String message) {
        super(status, message);
    }
}
