/**
 * xqueue.com
 */
package com.maileon.api.mailings.checks;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import java.io.Serializable;
import java.util.Date;

/**
 * Result of Testsendout or ApprovalProcess
 */
@XmlRootElement(name="SendoutCheck")
@XmlType(propOrder={"mailingId", "timestamp", "state"})
public class SendoutResult implements Serializable {

    private long mailingId;

    private String state;

    private Date timestamp;

    @XmlElement
    public long getMailingId() {
        return mailingId;
    }

    public void setMailingId(long mailingId) {
        this.mailingId = mailingId;
    }

    @XmlElement
    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    @XmlElement
    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    @Override
    public String toString() {
        return "mailingId: " + mailingId + ", state: " + state + ", timestamp: " + timestamp;
    }
}
