package com.maileon.api.transactions;

import java.io.Serializable;

public class Attribute implements Serializable {

    private Long id;
    private String name;
    private AttributeType type;
    private Boolean required;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public AttributeType getType() {
        return type;
    }

    public void setType(AttributeType type) {
        this.type = type;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    @Override
    public String toString() {
        return "Attribute{" + id + ":" + name + ":" + type + (required ? ":required:" : "") + '}';
    }

}
