/**
 * xqueue.com
 */
package com.maileon.api.mailings.checks;

import java.io.Serializable;
import java.util.Date;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Result for Attention Check
 */
@XmlRootElement(name="AttentionCheck")
@XmlType(propOrder={"mailingId", "timestamp", "state", "gazeUrl", "opasityUrl", "attentionUrl"})
public class AttentionCheckResult implements Serializable {

    private long mailingId;

    private String state;

    private Date timestamp;

    private String gazeUrl;

    private String opasityUrl;

    private String attentionUrl;

    @XmlElement
    public long getMailingId() {
        return mailingId;
    }

    public void setMailingId(long mailingId) {
        this.mailingId = mailingId;
    }

    @XmlElement
    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    @XmlElement
    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    @XmlElement(name="gaze")
    public String getGazeUrl() {
        return gazeUrl;
    }

    public void setGazeUrl(String gazeUrl) {
        this.gazeUrl = gazeUrl;
    }

    @XmlElement(name="opasity")
    public String getOpasityUrl() {
        return opasityUrl;
    }

    public void setOpasityUrl(String opasityUrl) {
        this.opasityUrl = opasityUrl;
    }

    @XmlElement(name="attention")
    public String getAttentionUrl() {
        return attentionUrl;
    }

    public void setAttentionUrl(String attentionUrl) {
        this.attentionUrl = attentionUrl;
    }

    @Override
    public String toString() {
        return "mailingId: " + mailingId
                + ", timestamp: " + timestamp
                + ", state: " + state
                + ", gazeUrl: " + gazeUrl
                + ", opasityUrl: " + opasityUrl
                + ", attentionUrl: " + attentionUrl;
    }
}
